# $Revision: 1.2 $, $Date: 2009/09/09 08:34:05 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Parse
%define	pnam	CPAN-Meta
Summary:	Parse::CPAN::Meta - Parse META.yml and other similar CPAN metadata files
Summary(pl.UTF-8):	Parse::CPAN::Meta - Parsuje META.yml i inne podobne pliki z metadanymi CPAN
Name:		perl-Parse-CPAN-Meta
Version:	1.40
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Parse/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	13038b57d3f253f8851323ba9db0b1a1
URL:		http://search.cpan.org/dist/Parse-CPAN-Meta/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parse::CPAN::Meta is a parser for META.yml files, based on the parser
half of YAML::Tiny.

It supports a basic subset of the full YAML specification, enough to
implement parsing of typical META.yml files, and other similarly
simple YAML files.

If you need something with more power, move up to a full YAML parser
such as YAML, YAML::Syck or YAML::LibYAML.

Parse::CPAN::Meta provides a very simply API of only two functions,
based on the YAML functions of the same name. Wherever possible,
identical calling semantics are used.

All error reporting is done with exceptions (die'ing).

%description -l pl.UTF-8
Parse::CPAN::Meta jest parserem plików META.yml opartym na części
parsującej YAML::Tiny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Parse/CPAN
%{perl_vendorlib}/Parse/CPAN/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Parse-CPAN-Meta.spec,v $
Revision 1.2  2009/09/09 08:34:05  amateja
- updated to 1.40
- added polish summary and description
- added missing %dir in %files section
- removed README from %doc

Revision 1.1  2009/06/16 09:09:32  amateja
- initial

